﻿Type=Class
Version=2.8
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@

'Class module
Private Sub Class_Globals
	Private fx As JFX
	Private WebCam,ImageIO,BufferedImage,FileIO,Dimension As JavaObject

End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	ImageIO.InitializeStatic("javax.imageio.ImageIO")
	WebCam.InitializeStatic("com.github.sarxos.webcam.Webcam")	
	BufferedImage.InitializeStatic("java.awt.image.BufferedImage")
End Sub

Public Sub getDefaultCam As JavaObject
	WebCam=WebCam.RunMethod("getDefault",Null)
	Return WebCam
End Sub

Public Sub setDimension(cam As JavaObject,width As Int,height As Int)
	cam.RunMethod("setViewSize",Array(Dimension.InitializeNewInstance("java.awt.Dimension",Array(width,height))))	
End Sub

Public Sub OpenCam(cam As JavaObject)
	cam.RunMethod("open",Null)
End Sub
Public Sub TakePicture(cam As JavaObject,filename As String)
	FileIO=	FileIO.InitializeNewInstance("java.io.File",Array(filename))
	BufferedImage=cam.RunMethod("getImage",Null)
	
	ImageIO.RunMethod("write",Array(BufferedImage, "PNG", FileIO))
	
	cam.RunMethod("close",Null)	

End Sub